### Method

# ICalGLib Component remove_component

since: 1.0

#### Declaration [src]

    void
    i_cal_component_remove_component (
      ICalComponent* parent,
      ICalComponent* child
    )

#### Description [src]

Removes a child `ICalComponent` from another `ICalComponent`.

Available since: 1.0

#### Parameters

`child`

  Type: `ICalComponent`

  A child `ICalComponent`.

  The data is owned by the caller of the method.